classification
Title: Remove os.stat_float_times
Type: Stage:
Components: Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, aronacher, eric.araujo, haypo, loewis, pitrou, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2012-05-03 13:26 by aronacher, last changed 2012-06-04 23:32 by python-dev. This issue is now closed.

Messages (7)
msg159859 - (view) Author: Armin Ronacher (aronacher) * (Python committer) Date: 2012-05-03 13:26
Is there a specific reason this is still around?  Originally that was to make it possible to upgrade to Python 2.3 or whenever that was introduced.  I don't think anyone still uses that.
msg159860 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-05-03 14:20
Victor proposed deprecating it as part of PEP 410 (see issue 13882), but the PEP was rejected for other reasons.
msg159881 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-05-03 22:15
> Is there a specific reason this is still around?

Not really, it just that nobody noticed it :-)

We can deprecate it, but it is maybe safer to not remove it.

Note: os.stat() has now new st_*time_ns fields with a nanosecond resolution.
msg159892 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-04 00:22
> Is there a specific reason this is still around?

I forgot to remove it for Python 3, and now it can only be removed through a deprecation cycle.
msg159898 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-04 03:33
Let’s deprecate it in 3.3 then.
msg159950 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-04 17:37
+1 for deprecating.
msg162306 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-04 23:32
New changeset 7cb15b47c70e by Victor Stinner in branch 'default':
Issue #14711: os.stat_float_times() has been deprecated.
http://hg.python.org/cpython/rev/7cb15b47c70e
History
Date User Action Args
2012-06-04 23:32:09python-devsetnosy: + python-dev
messages: + msg162306
2012-06-04 23:24:22hayposetstatus: open -> closed
resolution: fixed
2012-05-04 17:37:15pitrousetnosy: + pitrou
messages: + msg159950
2012-05-04 03:33:35eric.araujosetnosy: + eric.araujo

messages: + msg159898
versions: + Python 3.3
2012-05-04 00:22:20loewissetnosy: + loewis
messages: + msg159892
2012-05-03 22:15:29hayposetmessages: + msg159881
2012-05-03 21:36:17Arfreversetnosy: + Arfrever
2012-05-03 14:20:32r.david.murraysetnosy: + haypo, r.david.murray
messages: + msg159860
2012-05-03 13:26:28aronachercreate